Skip to main content
`Ctrl`+`K`

# PetscLogEventSetDof

Set the nth number of degrees of freedom of a numerical problem associated with this event

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventSetDof(PetscLogEvent event, PetscInt n, PetscLogDouble dof)

Not Collective

## Input Parameters

- event - The event id to log

- n - The dof index, in [0, 8)

- dof - The number of dofs

## Options Database Key

- -log_view - Activates log summary

## Note

This is to enable logging of convergence

## See Also

`PetscLogEventSetError()`, `PetscLogEventRegister()`, `PetscLogGetDefaultHandler()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages